# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $EmailVirtUser = "/etc/virtusertable";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_virtuser_list_alias
# Returns a hash of fully qualified email addresses or @domains and target user names or error messages
# Arguments: none
# Return value: an alias hash (alias => user)
# Example: my(%aliases) = Cobalt::Email::mail_virtuser_list_alias();
{
	my(%aliases); 
	open(VRT,"$EmailVirtUser") || return ''; # Null return if no flat file
	while(<VRT>) 
	{
            if( /custom additions below/o ) { last; }
	    chop;
	    #s/^\s*\#.*//og; # Remove comments, not very nice 
	    next if (/^\s*\#/o);  # why work so hard?  Just skip it...
	    $aliases{"$1"} = $2 if (/^\s*(\S+)\s*(.*)$/o); 
	}
	close (VRT);

	return(%aliases);
}


1;
