# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Ftp.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Ftpd_conf = "/etc/proftpd.conf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Ftp.pm.  Changes made here will be lost.
package Cobalt::Ftp;

sub Ftp_anon_list
# Lists anonymous virtual ftp sites
# Arguments: none
# Return value: array of groups (sites) that use anonymous ftp
# Example: my(@virtual_anon_ftp_groups) = Ftp_anon_list;
# Note: if we decide not to use inetd then we can extend this to an ip,port hash report
{
        my(@sites);
        if (-r "$Ftpd_conf")
        {
                open(FTPD,"$Ftpd_conf")
		  || return "4338 Cannot read FTP config file /etc/proftpd.conf: $!";
                while(<FTPD>)
                {
		if (/Anonymous\s+([a-zA-Z\d\.\-\/]+)>/o) 
			{
			my($site) = $1;
			$site =~ s/^.*\/([^\/]+)\/ftp$/$1/;
                	push(@sites,$site); 
			}
                }
                close(FTPD);
        }
        return(sort(@sites));
}


1;
