# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Ftp.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Ftpd_conf = "/etc/proftpd.conf";
my $Htgroup_dir = "/home/groups";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Ftp.pm.  Changes made here will be lost.
package Cobalt::Ftp;

sub Ftp_get_anonymous
# Returns 1 if anonymous ftp is enabled or 0 if it isn't
#   and maximum number of anonymous users
# Arguments: site group name
# Return value: 1 or 0, maximum number of anonymous users
{
    my($group) = $_[0];

    my $on=0;
    my $maxUsers=0;
    if (-r "$Ftpd_conf")
    {
	open(FTPD,"$Ftpd_conf")
	  || return "4339 Cannot read FTP config file /etc/proftpd.conf: $!";
	while(<FTPD>)
	{
	    if(/<Anonymous $Htgroup_dir\/$group\/ftp/) { $on=1; }
	    if($on)
	    {
		if(/MaxClients\s+(\S+)/)
		{
		    $maxUsers=$1;
		    last;
		}
		if(/<\/Anonymous>/) { last; }
	    }
	}
	close(FTPD);
    }

    return ( $on, $maxUsers );
}


1;
