# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Ftp.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Htgroup_dir = "/home/groups";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Ftp.pm.  Changes made here will be lost.
package Cobalt::Ftp;

sub Ftp_get_incoming_quota
# Gets the ftp/incoming directory quota, in blocks
# Arguments: site group name
# Return value: block value or error string, see user_show in User.pm 
#   a return value of "0" means there is no functional incoming directory
{
	my $group = $_[0];
	my $ftpuser = uc($group);

	if (-d "$Htgroup_dir/$group/ftp/incoming")
        {
		# Incoming directory is writable 17915 else 17912
                return 0 if ( (stat("$Htgroup_dir/$group/ftp/incoming"))[2] != 17915);
        }
	return( (Cobalt::User::user_show($ftpuser))[2] );
}


1;
