# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Ftp.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Ftpd_conf = "/etc/proftpd.conf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Ftp.pm.  Changes made here will be lost.
package Cobalt::Ftp;

sub Ftp_list_site
# Lists virtual ftp sites
# Arguments: none
# Return value: array of ip addresses
# Example: my(@virtual_ftp_ips) = Ftp_list_site;
# Note: if we decide not to use inetd then we can extend this to an ip,port hash report
{
	my(@sites);
	if (-r "$Ftpd_conf")
	{
		open(FTPD,"$Ftpd_conf")
		  || return "4337 Cannot read FTP config file /etc/proftpd.conf: $!";
		while(<FTPD>)
		{
		push(@sites,$1) if (/VirtualHost\s+([\d\.]+)/o);
		}
		close(FTPD);

	return(sort(@sites));
	}
}


1;
