# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Ftp.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Ftp.pm.  Changes made here will be lost.
package Cobalt::Ftp;

# = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

sub lock_ftp
# Arguments: 1 to lock, 0 to unlock
# Return Value: 1 for success, 0 for failure
{
	my($state) = @_;
	if ($state)
	{
	return 0 if (-e "$Lockdir/ftpd.lock"); # Already in use
	open(LOCK,"> $Lockdir/ftpd.lock") || return 0; print LOCK "$$\n$0"; close(LOCK);
	return 1 if (-e "$Lockdir/ftpd.lock"); 
	} else {
	unlink("$Lockdir/ftpd.lock") if (-e "$Lockdir/ftpd.lock");
	return 0 if (-e "$Lockdir/ftpd.lock");
	return 1;
	}
} 


1;
