# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Repair.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Atalklink = "/etc/rc.d/rc3.d/S91atalk";
my $Atalkscript = "/etc/rc.d/init.d/atalk.init";
my $Lcdshowscript = "/etc/rc.d/init.d/showip";
my $Sauce_log = "/var/cobalt/sauce.log";
my %Features = ("networker","1","telnetConfig","0","dhcpd","1","shiftjis","Cobalt interface message for shiftjis (We should never see this)","pagebuilder","1","www","1","mx","1","gated","1","dns","1","nfs","0","english","1","atalk","1","fpx","1","siteAdminRedirect","0","users","1","ntp","0","search","1","anonFTP","1","specialHomeSkel","0","viewGroups","1","cobaltHomePage","1","lastNameFirst","1","vsites","0","discuss","1","docorg","0","groups","1","nas","0","smb","1","mail","1","autoGenWebUsage","1","squid","0","japanese","0","cobaltRedirect","0","backups","1","vmachine","0","mon_port_testing","1","viewUsers","1","usersCGIInWizard","1","privatedirs","1","adm","1","siteManagement","0","ssl","0","personalRedirect","0","webRequests","1","usersAddUser","1","adminRedirect","1","quotas","1","snmp","1","defaultUserNameGen","1","groupdirs","1","proftpd","1");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Repair.pm.  Changes made here will be lost.
package Cobalt::Repair;

sub repair_atalk
# Repair the appleshare server
# Arguments: none
# Side effects: restarts appletalk and resets the network interface
{
    return "1051 Appleshare is not implemented in this release"
      unless ($Features{'atalk'});
    return "2705 Appleshare is off, as configured"
      unless (-e $Atalklink);	# not supposed to be on
    system("$Atalkscript stop >>$Sauce_log 2>&1");
    Cobalt::Network::net_set_ipaddr(Cobalt::Network::net_get_ipaddr());
    system("$Atalkscript start >>$Sauce_log 2>&1");
    system ("$Lcdshowscript start >>$Sauce_log 2>&1") if (-x $Lcdshowscript);
    return "2704 AppleShare server restarted";
}


1;
