# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Named_boot = "/etc/named.boot";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub get_dns_server_on
# Checks for an active DNS server
# Returns 1 if the dns service is active, 0 if it is disabled
#   This reflects what ought to be, *not* what is
# Arguments: none
# Side effects: none
{
    (-e "$Named_boot") ? (return 1) : (return 0);
}


1;
