# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_virtuser_del_alias
# Deletes a hash of login name and fully qualified email addresses or @domains
# Arguments: hash  (alias => user)
# Return value: string like "2000 Mmm, smells like BBQ and beer"
# Side effects: Rebuilds /etc/virtusertable.db from modified /etc/virtusertable
{
	my(%delAlias) = @_;
	
	sleep 2 if (-e "$Lockdir/virtusertable");
	
	return "4099 Email alias list in use, please try again soon" 
	  if (-e "$Lockdir/virtusertable");

	my(%aliases) = Cobalt::Email::mail_virtuser_list_alias();
	my($alias);

	foreach $alias (keys %delAlias)
	{
	undef($aliases{"$alias"});
	}

	Cobalt::Email::mail_build_virtusertable(%aliases) || return "4100 Could not modify email alias list";

	return "2030 Email virtual users removed successfully";
}


1;
