# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Aliasfile = "/etc/aliases";
my $Altmp = "/etc/locks/altmp";
my $Lockdir = "/etc/locks";
my $Newaliases_cmd = "/usr/bin/newaliases";
my $Sauce_log = "/var/cobalt/sauce.log";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub commit_aliases
# Commits the changes to the aliases file
# Side effects: renames $Altmp to $Aliasfile and
#   runs the sendmail newaliases command
# We keep a backup copy (aliases.old) in case newaliases barfs
{
  rename($Altmp,$Aliasfile)
    || return "4262 Cannot create new aliases file: $!";
  chmod(0644,$Aliasfile);
  unlink("$Lockdir/list-$$");
  system("$Newaliases_cmd >>$Sauce_log 2>&1");
  Cobalt::Email::mail_sendmail_hup();
  return "2261 Aliases file changes have been committed";
}


1;
