# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub list_lists_mem
# Returns a list of all the lists and their members in a 2D array
# Arguments: none
# Return value: an array of ( list name, member1, member2, ... )
{
    my @lists;
    return $lists[0] if ((@lists = Cobalt::List::list_lists())[0] =~ /^[134]/);
    return map {my $list=$_; [$list, Cobalt::List::list_get_mem($list)]} sort @lists;
}


1;
