# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Netutil.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Netutil.pm.  Changes made here will be lost.
package Cobalt::Netutil;

sub netutil_ping
# Check to see if a host is on the network
# Arguments: an IP address
# Return value: a string of the form "656 all is well"
# Side effects: runs ping
{
    my ($IP) = @_;
    my $timeout = 3;
    eval 'use Net::Ping';
    my $pingthing = Net::Ping->new("icmp");
    my $status = $pingthing->ping($IP,$timeout);
    $pingthing->close();
    ($status)   ? (return "2470 $IP responds")
                : (return "4301 No response from $IP");
}


1;
